<?php

require_once SERVICETRADE_PORTAL_PLUGIN_ROOT_DIR . 'includes/models/class-api-credentials.php';
require_once SERVICETRADE_PORTAL_PLUGIN_ROOT_DIR . 'includes/models/class-servicetrade-options.php';
require_once SERVICETRADE_PORTAL_PLUGIN_ROOT_DIR . 'admin/view-models/class-page-add-user-view-model.php';

/**
 * Handles the add user post in the admin
 *
 * An action class.
 *
 * @link       http://www.servicetrade.com
 * @since      2.0.0
 * @package    Servicetrade_Service_Portal
 * @subpackage Servicetrade_Service_Portal/admin/actions
 * @author     ServiceTrade <support@servicetrade.com>
 */
class Servicetrade_Service_Portal_Admin_Page_Add_User_Action {

  function run($data) {
    $result = new Servicetrade_Service_Portal_Admin_Page_Add_User_ViewModel();
    $result->fromData($data);

    if($result->validate()) {
      $this->_run($result);
    }
    return $result;
  } 

  private function _run($validatedViewModel) {
    echo('executing on validated view model');

  }
}

