<?php

/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       http://www.servicetrade.com
 * @since      1.0.0
 *
 * @package    Servicetrade_Service_Portal
 * @subpackage Servicetrade_Service_Portal/admin/partials
 */

include SERVICETRADE_PORTAL_PLUGIN_ROOT_DIR . 'admin/components/page-header.php';
?>

<script>
      window.servicetradePortalConfig = {
        apiRoot: '<?php echo esc_url_raw( rest_url() . "servicetrade-service-portal/v2/admin/" ) ?>',
          nonce: '<?php echo wp_create_nonce( "wp_rest" ) ?>'
      };
</script>

<div class="servicetrade-portal-page-admin-users wrap">
  <h1 class="wp-heading-inline">ServiceTrade Service Portal Users</h1>
  <a class="page-title-action" href="<?php echo admin_url("admin.php?page=service-trade-admin-add-user"); ?>">Add User</a>

  <h2>New User Requests</h2>

  <div>
    <table class="servicetrade-portal-view-model-new-users-data">
    </table>
  </div>

  <h2>Users</h2>
  <div>
    <table class="servicetrade-view-model-users-data">
    </table>
  </div>


</div>
